Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
origin_shielding_replaced = client.cdn.cdn_resources.shield.replace(
resource_id=0,
)
print(origin_shielding_replaced)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
originShieldingReplaced, err := client.CDN.CDNResources.Shield.Replace(
context.TODO(),
0,
cdn.CDNResourceShieldReplaceParams{
OriginShielding: cdn.OriginShieldingParam{},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", originShieldingReplaced)
}curl --request PUT \
--url https://api.gcore.com/cdn/resources/{resource_id}/shielding_v2 \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"shielding_pop": 4
}
'const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({shielding_pop: 4})
};
fetch('https://api.gcore.com/cdn/resources/{resource_id}/shielding_v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shielding_pop": 4
}{
"errors": {
"shielding_pop": [
"Invalid pk \"{}\" - object does not exist."
]
}
}Origin shielding
Change origin shielding
Change origin shielding settings or disabled origin shielding.
PUT
/
cdn
/
resources
/
{resource_id}
/
shielding_v2
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
origin_shielding_replaced = client.cdn.cdn_resources.shield.replace(
resource_id=0,
)
print(origin_shielding_replaced)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cdn"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
originShieldingReplaced, err := client.CDN.CDNResources.Shield.Replace(
context.TODO(),
0,
cdn.CDNResourceShieldReplaceParams{
OriginShielding: cdn.OriginShieldingParam{},
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", originShieldingReplaced)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
CDN resource ID.
Body
application/json
Shielding location ID.
If origin shielding is disabled, the parameter value is null.
Response
Successful.
The response is of type object.
Was this page helpful?
⌘I